Bug 572165 - Extract the org-netbeans-lib-cvsclient.jar to a subpackage
Summary: Extract the org-netbeans-lib-cvsclient.jar to a subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netbeans
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Victor G. Vasilyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-10 13:02 UTC by Victor G. Vasilyev
Modified: 2010-09-25 05:40 UTC (History)
4 users (show)

Fixed In Version: maven2-common-poms-1.0-21.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-02 07:17:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
NetBeans Project 181777 None None None Never

Description Victor G. Vasilyev 2010-03-10 13:02:18 UTC
The maven-scm package [1] has both built-time and run-time dependencies on the netbeans-ide subpackage [2], but actually only the 
/usr/share/netbeans/ide12/modules/org-netbeans-lib-cvsclient.jar
is required.

There are serious overhead expenses on a Fedora system if a user plans to use maven-scm only, but not together with the NetBeans IDE.

Hence, the CVS Client Library module of the NetBeans that contains the org-netbeans-lib-cvsclient.jar should be dropped into a separate binary subpackage.

[1] https://admin.fedoraproject.org/pkgdb/packages/name/maven-scm
[2] http://koji.fedoraproject.org/koji/rpminfo?rpmID=1824767

Comment 1 Guido Grazioli 2010-04-22 08:59:58 UTC
Hello Victor, i'm working on the maven-release package which depends on maven-scm, and then on cvsclient. Im trying to understand the work you are planning here, do you intend to strip libs.cvsclient from the cluster and package a separate rpm, or build a subpackage inside netbeans-ide?

I need the cvsclient pom file [1] installed for the local maven repository to work, and i am unsure if it had to be installed by the cvsclient package or maven-scm.

[1] http://repo1.maven.org/maven2/org/netbeans/lib/cvsclient/20060125/cvsclient-20060125.pom

Comment 2 Victor G. Vasilyev 2010-04-22 13:04:29 UTC
(In reply to comment #1)

Hello Guido,

> Im trying to understand the work you are planning here...
For now, I have only very early draft plans about packaging of the NetBeans 6.9 for Fedora 14 where this bug, I hope, will be fixed.

I think, it will be implemented in the following manner:
* Current structure of the netbeans packages [1] is expanded, and the netbeans.spec [2] defines additional binary subpackage netbeans-lib-cvsclient. 
* Run-time requirements of the packages provide unconditional installation of the netbeans-lib-cvsclient together with the netbeans-ide binary subpackage.
* The binary subpackage netbeans-lib-cvsclient provides its independent installation. 
* Physical location and name of the org-netbeans-lib-cvsclient.jar is under discussion yet, but, I think, it should be placed in the folder %{_javadir}, and its name should include a version number (e.g 6.9).
* The org-netbeans-lib-cvsclient.jar is symlinked in the netbeans-ide binary subpackage. 

[1] http://wiki.netbeans.org/wiki/images/8/89/UML_Diagram_-_NetBeans_6.8_RPMs.png
[2] http://cvs.fedoraproject.org/viewvc/rpms/netbeans/devel/netbeans.spec?view=markup

> I need the cvsclient pom file [1] installed for the local maven repository to
> work, and i am unsure if it had to be installed by the cvsclient package or
> maven-scm.
Seems the netbeans-lib-cvsclient should not define a pom file if "its project" doesn't rely on and hasn't any relation to the Maven infrastructure, isn't it?

Comment 3 Guido Grazioli 2010-04-27 10:13:50 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Im trying to understand the work you are planning here...
> For now, I have only very early draft plans about packaging of the NetBeans 6.9
> for Fedora 14 where this bug, I hope, will be fixed.
> 
> I think, it will be implemented in the following manner:
> [...]

Thanks for the explanation
 
> > I need the cvsclient pom file [1] installed for the local maven repository to
> > work, and i am unsure if it had to be installed by the cvsclient package or
> > maven-scm.
> Seems the netbeans-lib-cvsclient should not define a pom file if "its project"
> doesn't rely on and hasn't any relation to the Maven infrastructure, isn't it?    

Well the natural place for a pom file, and for updating the maven depmap, should be along the package providing the jar in my opinion, even if the library has no relation with maven; ie, a maven project could depend on cvsclient and not on maven-scm. However i think its unlikely to be needed at the moment, so i'm putting the pom in maven-scm, and will get in touch again when you go ahead with your plan and extract cvsclient to a subpackage.

Comment 4 Victor G. Vasilyev 2010-07-23 23:14:18 UTC
Hi Guido,

The netbeans-cvsclient binary subpackage has been introduced in the netbeans.spec [1] for the NetBeans, version 6.9.
Unfortunately, the NetBeans packages are not in CVS yet, because not all requests are processed yet. [2]
Nevertheless, right now you can try a "pre-release" version. [3]

Please, review the changes.

[1] http://victorv.fedorapeople.org/files/netbeans.spec
[2] https://fedoraproject.org/wiki/Features/NetBeans_6.9#Current_status
[3] http://victorv.fedorapeople.org/files/netbeans-cvsclient-6.9-1.fc14.noarch.rpm   

Note, the package doesn't include POM file, because the POM file referred above can't be reused due to incomplete and incorrect info.

Comment 5 Bug Zapper 2010-07-30 11:01:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Victor G. Vasilyev 2010-08-02 07:17:07 UTC
Fixed for F-14
http://koji.fedoraproject.org/koji/rpminfo?rpmID=2091884

Comment 7 Raphael Groner 2010-08-07 23:23:53 UTC
Is there a chance to get Netbeans 6.9 also for Fedora 13?

Comment 8 Fedora Update System 2010-09-13 18:09:24 UTC
maven2-common-poms-1.0-21.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/maven2-common-poms-1.0-21.fc14

Comment 9 Fedora Update System 2010-09-25 05:39:53 UTC
maven2-common-poms-1.0-21.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.